### Type parameters

- #### PubF: KeyFormat

- #### PrivF: KeyFormat

### Hierarchy

- ECKeyPairOptions

## Index

### Properties

- namedCurve
- privateKeyEncoding
- publicKeyEncoding

## Properties

### namedCurve

namedCurve: string

- Defined in node_modules/@types/node/crypto.d.ts:483

Name of the curve to use.

### privateKeyEncoding

privateKeyEncoding: BasePrivateKeyEncodingOptions<PrivF> & object

- Defined in node_modules/@types/node/crypto.d.ts:489

### publicKeyEncoding

publicKeyEncoding: object

- Defined in node_modules/@types/node/crypto.d.ts:485

#### Type declaration

- ##### format: PubF

- ##### type: "pkcs1" | "spki"

Generated using TypeDoc